Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 226424

Summary: Merge Review: sound-juicer
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Matthias Clasen <mclasen>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alexl
Target Milestone: ---Flags: bdpepple: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-11 01:31:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 21:00:19 UTC
Fedora Merge Review: sound-juicer

http://cvs.fedora.redhat.com/viewcvs/devel/sound-juicer/
Initial Owner: alexl@redhat.com

Comment 1 Brian Pepple 2007-02-03 17:19:50 UTC
Good:
* Tarball matches upstream.
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* All paths begin with macros
* All necessary BuildRequires listed.
* Package builds in Mock.

Must Fix:
* Source URL is not canonical.
* Missing Package URL. http://www.burtonini.com/blog/computers/sound-juicer
* Sound Juicer shouldn't own the following directories (hicolor-icon-theme
should be the sole owner):
/usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/22x22
/usr/share/icons/hicolor/22x22/apps
/usr/share/icons/hicolor/22x22
/usr/share/icons/hicolor/22x22/apps
/usr/share/icons/hicolor/scalable
/usr/share/icons/hicolor/scalable/apps

Minor:
* Doesn't use the preferred buildroot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Duplicate BuildRequires: GConf2-devel (by gnome-media-devel), gtk2-devel (by
gnome-media-devel), gnome-vfs2-devel (by libgnomeui-devel), glib2-devel (by
libgnomeui-devel), hal-devel (by gnome-vfs2-devel)
* Unnecessary Requires on gstreamer, gtk, libmusicbrainz, and glib2. The BR on
the devel packages should pull these in automatically.

Comment 2 Matthias Clasen 2007-02-04 01:13:25 UTC
* Sat Feb  3 2007 Matthias Clasen <mclasen@redhat.com> - 2.16.2-3
- Minor fixes from package review:
 * Remove unnecessary Requires
 * Add URL
 * Correct Source, BuildRoot
 * Fix directory ownership


Comment 3 Brian Pepple 2007-02-04 18:11:21 UTC
Changes look good.  +1 Approved.

Comment 4 Matthias Clasen 2007-08-11 01:31:21 UTC
Review done.